{#
  コメント
  https://jinja.palletsprojects.com/en/2.11.x/templates/#comments
#}
{{ key1 }}

{{ key2 }}

{#
  繰り返し
#}
{% for elem in arrayKey1 %}
    {{ elem.key1 }}
    {{ elem.key2 }}
{% endfor %}

{#
  Whitespace Control
  https://jinja.palletsprojects.com/en/2.11.x/templates/#whitespace-control

  `-` を前後に付けることでそちらの空白および改行を除去できる。
  コメントなどのJinja構文記述後の改行削除や、for 文や if 文のインデントでの見栄えを良くすることが可能。
#}
{#
  パラメタ単位
#}
AAA
{{- key1 }}
BBB

CCC
{{ key1 -}}
DDD

EEE
{{- key1 -}}
FFF

{#
  繰り返し
-#}
全除去
繰り返し開始
{%- for elem in arrayKey2 -%}
    {{ elem.keyA }}
    {{ elem.keyB }}

{%- endfor -%}
繰り返し終了

一部除去、パターン1
{#
  for の左は繰り返し全体前の空白除去
-#}
繰り返し開始
{%- for elem in arrayKey2 %}
    {{ elem.keyA }}
    {{ elem.keyB }}

{% endfor %}
繰り返し終了

一部除去、パターン2
{#
  for の右は繰り返し内の各繰り返しの左空白除去？
-#}
繰り返し開始
{% for elem in arrayKey2 -%}
    {{ elem.keyA }}
    {{ elem.keyB }}
    
{% endfor %}
繰り返し終了

一部除去、パターン3
{#
  for の右は繰り返し内の各繰り返しの右空白除去？
-#}
繰り返し開始
{% for elem in arrayKey2 %}
    {{ elem.keyA }}
    {{ elem.keyB }}

{%- endfor %}
繰り返し終了

一部除去、パターン4
{#
  endfor の右は繰り返し全体後の空白除去？
-#}
繰り返し開始
{% for elem in arrayKey2 %}
    {{ elem.keyA }}
    {{ elem.keyB }}

{% endfor -%}
繰り返し終了

{#
  Template Inheritance
  https://jinja.palletsprojects.com/en/2.11.x/templates/#template-inheritance

  クラスの様に親子関係を構築することができる
#}
{% block child1 %}
子供（孫あり）
{% block child2 %}{% endblock %}
{% endblock %}
